// winnt.h: hook

#ifndef _INC_WINNT_HOOK
#define _INC_WINNT_HOOK

/*
 * SetWindowsHook() codes
 */

#define WH_KEYBOARD_LL     13
#define WH_MOUSE_LL        14

/*
 * Structure used by WH_KEYBOARD_LL
 */
typedef struct tagKBDLLHOOKSTRUCT {
    DWORD   vkCode;
    DWORD   scanCode;
    DWORD   flags;
    DWORD   time;
/*  ULONG_PTR   dwExtraInfo; */
} KBDLLHOOKSTRUCT, FAR *LPKBDLLHOOKSTRUCT, *PKBDLLHOOKSTRUCT;

/*
 * Structure used by WH_MOUSE_LL
 */
typedef struct tagMSLLHOOKSTRUCT {
    POINT   pt;
    DWORD   mouseData;
    DWORD   flags;
    DWORD   time;
/*  ULONG_PTR   dwExtraInfo; */
} MSLLHOOKSTRUCT, FAR *LPMSLLHOOKSTRUCT, *PMSLLHOOKSTRUCT;

//
// XBUTTON defines:
//
#if (_WIN32_WINNT >= 0x0500)
#if !defined(WM_XBUTTONDOWN) && !defined(WM_XBUTTONUP) && !defined(WM_XBUTTONDBLCLK)
#define WM_XBUTTONDOWN                  0x020B
#define WM_XBUTTONUP                    0x020C
#define WM_XBUTTONDBLCLK                0x020D
#endif
#endif

#endif // WINNT_HOOK
